Package org.zkoss.stateless.function

## Interface CheckedRunnable

- All Superinterfaces:
    `java.io.Serializable`
  All Known Subinterfaces:
    `ActionHandler0`, `ActionType.OnAcrossPage0`, `ActionType.OnAdjustCols0`, `ActionType.OnAdjustFrozenCols0`, `ActionType.OnAdjustRows0`, `ActionType.OnAfterRender0`, `ActionType.OnAfterSize0`, `ActionType.OnAnchorPos0`, `ActionType.OnBlur0`, `ActionType.OnBookmarkChange0`, `ActionType.OnCameraUnavailable0`, `ActionType.OnCancel0`, `ActionType.OnCellClick0`, `ActionType.OnChange0`, `ActionType.OnChanging0`, `ActionType.OnCheck0`, `ActionType.OnCheckSelectAll0`, `ActionType.OnClear0`, `ActionType.OnClick0`, `ActionType.OnClientInfo0`, `ActionType.OnClose0`, `ActionType.OnColSize0`, `ActionType.OnCreate0`, `ActionType.OnCrop0`, `ActionType.OnCtrlKey0`, `ActionType.OnDataLoading0`, `ActionType.OnDeferredEvaluation0`, `ActionType.OnDesktopRecycle0`, `ActionType.OnDetect0`, `ActionType.OnDivisionSize0`, `ActionType.OnDoubleClick0`, `ActionType.OnDrop0`, `ActionType.OnError0`, `ActionType.OnFocus0`, `ActionType.OnFulfill0`, `ActionType.OnGroup0`, `ActionType.OnHistoryPopState0`, `ActionType.OnInnerWidth0`, `ActionType.OnItemClick0`, `ActionType.OnLengthLimitExceed0`, `ActionType.OnMaxFileCountExceed0`, `ActionType.OnMaximize0`, `ActionType.OnMaxsizeExceed0`, `ActionType.OnMinimize0`, `ActionType.OnModal0`, `ActionType.OnMouseOut0`, `ActionType.OnMouseOver0`, `ActionType.OnMove0`, `ActionType.OnNotify0`, `ActionType.OnOK0`, `ActionType.OnOpen0`, `ActionType.OnPageSize0`, `ActionType.OnPaging0`, `ActionType.OnPiggyback0`, `ActionType.OnPortalDrop0`, `ActionType.OnPortalMove0`, `ActionType.OnRangeValueChange0`, `ActionType.OnRender0`, `ActionType.OnRightClick0`, `ActionType.OnRotate0`, `ActionType.OnSave0`, `ActionType.OnScriptError0`, `ActionType.OnScroll0`, `ActionType.OnScrolling0`, `ActionType.OnScrollPos0`, `ActionType.OnScrollX0`, `ActionType.OnScrollY0`, `ActionType.OnSearch0`, `ActionType.OnSearching0`, `ActionType.OnSelect0`, `ActionType.OnSelection0`, `ActionType.OnSelectSubModel0`, `ActionType.OnSize0`, `ActionType.OnSlide0`, `ActionType.OnSnapshotUpload0`, `ActionType.OnSort0`, `ActionType.OnStateChange0`, `ActionType.OnStub0`, `ActionType.OnSwipe0`, `ActionType.OnTargetClick0`, `ActionType.OnTimer0`, `ActionType.OnTimeZoneChange0`, `ActionType.OnTopPad0`, `ActionType.OnUngroup0`, `ActionType.OnUpload0`, `ActionType.OnURIChange0`, `ActionType.OnUser0`, `ActionType.OnVisibilityChange0`, `ActionType.OnWeekClick0`, `ActionType.OnZIndex0`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface CheckedRunnable
      extends java.io.Serializable

  Represents an operation that accepts no arguments and returns no result.
  Author:
    jumperchen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()` |

- - ### Method Detail

    - #### run

          void run()
            throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`